Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2692123005: Fix stack walking to notice if the frame is obviously not valid. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
8 months, 1 week ago by erikchen
Modified:
8 months ago
Reviewers:
Mark Mentovai, Wez
CC:
chromium-reviews, vmpstr+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Fix stack walking to notice if the frame is obviously not valid. If the PC is too small, the frame can't be valid. BUG=677302 Review-Url: https://codereview.chromium.org/2692123005 Cr-Commit-Position: refs/heads/master@{#451355} Committed: https://chromium.googlesource.com/chromium/src/+/f51b7d1a5db6ae289736b84622494086c54cd49a

Patch Set 1 #

Total comments: 4

Patch Set 2 : Comments from wez. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+5 lines, -3 lines) Patch
M base/debug/stack_trace.cc View 1 1 chunk +5 lines, -3 lines 0 comments Download
Trybot results:  chromium_presubmit   linux_chromium_tsan_rel_ng   chromium_presubmit   chromeos_amd64-generic_chromium_compile_only_ng   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   cast_shell_linux   ios-device   mac_chromium_rel_ng   win_chromium_rel_ng   mac_chromium_compile_dbg_ng   win_chromium_compile_dbg_ng   ios-device-xcode-clang   win_clang   ios-simulator-xcode-clang   win_chromium_x64_rel_ng   ios-simulator   android_compile_dbg   android_clang_dbg_recipe   linux_chromium_asan_rel_ng   android_arm64_dbg_recipe   android_cronet   linux_chromium_tsan_rel_ng   cast_shell_android   linux_chromium_compile_dbg_ng   android_n5x_swarming_rel   linux_android_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   chromeos_daisy_chromium_compile_only_ng   chromium_presubmit   android_n5x_swarming_rel   chromium_presubmit   android_n5x_swarming_rel   linux_android_rel_ng   android_n5x_swarming_rel   linux_chromium_tsan_rel_ng   win_clang   chromium_presubmit   linux_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   win_chromium_rel_ng   linux_chromium_asan_rel_ng   win_chromium_x64_rel_ng   ios-device-xcode-clang   linux_chromium_chromeos_ozone_rel_ng   ios-device   win_chromium_compile_dbg_ng   chromeos_daisy_chromium_compile_only_ng   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   mac_chromium_rel_ng   ios-simulator   android_clang_dbg_recipe   android_n5x_swarming_rel   android_compile_dbg   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   android_arm64_dbg_recipe   cast_shell_android   linux_android_rel_ng   android_cronet 
Commit queue not available (can’t edit this change).

Messages

Total messages: 43 (25 generated)
erikchen
mark: Please review. I wrote a test to test the obvious thing [all frames > ...
8 months, 1 week ago (2017-02-15 20:26:59 UTC) #5
Mark Mentovai
LGTM https://codereview.chromium.org/2692123005/diff/1/base/debug/stack_trace.cc File base/debug/stack_trace.cc (right): https://codereview.chromium.org/2692123005/diff/1/base/debug/stack_trace.cc#newcode115 base/debug/stack_trace.cc:115: if (GetStackFramePC(fp) < 32768) You could go even ...
8 months, 1 week ago (2017-02-15 21:05:57 UTC) #6
erikchen
https://codereview.chromium.org/2692123005/diff/1/base/debug/stack_trace.cc File base/debug/stack_trace.cc (right): https://codereview.chromium.org/2692123005/diff/1/base/debug/stack_trace.cc#newcode115 base/debug/stack_trace.cc:115: if (GetStackFramePC(fp) < 32768) On 2017/02/15 21:05:57, Mark Mentovai ...
8 months, 1 week ago (2017-02-15 21:52:45 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2692123005/1
8 months, 1 week ago (2017-02-15 21:53:17 UTC) #10
Wez
https://codereview.chromium.org/2692123005/diff/1/base/debug/stack_trace.cc File base/debug/stack_trace.cc (right): https://codereview.chromium.org/2692123005/diff/1/base/debug/stack_trace.cc#newcode115 base/debug/stack_trace.cc:115: if (GetStackFramePC(fp) < 32768) On 2017/02/15 21:52:45, erikchen wrote: ...
8 months, 1 week ago (2017-02-15 22:38:22 UTC) #12
erikchen
https://codereview.chromium.org/2692123005/diff/1/base/debug/stack_trace.cc File base/debug/stack_trace.cc (right): https://codereview.chromium.org/2692123005/diff/1/base/debug/stack_trace.cc#newcode115 base/debug/stack_trace.cc:115: if (GetStackFramePC(fp) < 32768) On 2017/02/15 22:38:22, Wez wrote: ...
8 months, 1 week ago (2017-02-15 22:52:24 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2692123005/20001
8 months, 1 week ago (2017-02-15 22:53:36 UTC) #17
commit-bot: I haz the power
Try jobs failed on following builders: android_n5x_swarming_rel on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_n5x_swarming_rel/builds/119969)
8 months, 1 week ago (2017-02-16 00:37:14 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2692123005/20001
8 months, 1 week ago (2017-02-16 18:18:10 UTC) #21
commit-bot: I haz the power
Try jobs failed on following builders: android_n5x_swarming_rel on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_n5x_swarming_rel/builds/120676)
8 months, 1 week ago (2017-02-16 19:43:37 UTC) #23
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2692123005/20001
8 months, 1 week ago (2017-02-17 01:31:26 UTC) #25
commit-bot: I haz the power
Try jobs failed on following builders: chromeos_amd64-generic_chromium_compile_only_ng on master.tryserver.chromium.linux (JOB_TIMED_OUT, no build URL) linux_chromium_tsan_rel_ng on ...
8 months, 1 week ago (2017-02-17 03:36:22 UTC) #27
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2692123005/20001
8 months, 1 week ago (2017-02-17 03:39:54 UTC) #29
commit-bot: I haz the power
Try jobs failed on following builders: cast_shell_linux on master.tryserver.chromium.linux (JOB_TIMED_OUT, no build URL)
8 months, 1 week ago (2017-02-17 04:48:30 UTC) #31
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2692123005/20001
8 months, 1 week ago (2017-02-17 19:05:51 UTC) #33
commit-bot: I haz the power
Committed patchset #2 (id:20001) as https://chromium.googlesource.com/chromium/src/+/f51b7d1a5db6ae289736b84622494086c54cd49a
8 months, 1 week ago (2017-02-17 19:48:54 UTC) #36
vabr (Chromium)
A revert of this CL (patchset #2 id:20001) has been created in https://codereview.chromium.org/2704933004/ by vabr@chromium.org. ...
8 months ago (2017-02-20 13:21:03 UTC) #37
commit-bot: I haz the power
8 months ago (2017-02-21 18:20:32 UTC) #41
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa